QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Ask a question about the usage of QLC+ with the Linux operating system
Post Reply
User avatar
slight
Posts: 5
Joined: Sun Nov 20, 2016 11:08 pm
Location: Germany, Nuernberg
Real Name: Stefan Krüger
Contact:

QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Post by slight » Sat Dec 03, 2016 11:53 am

Hello Forum,

i have installed QLC+ 4.10.4 with openSUSE Build Service option on my Kubuntu 16.04 64bit system.
I have ola installed as selfcompiled gitversion.

if i start qlc+ i don't see a ola plugin. in the ReleaseNotes it says
[quote="mcallegari"]
Now a few deployment updates:
  • Every Linux build now includes the OLA plugin, but OLA is not a hard dependency of the package. The plugin will be listed in the IO manager only if OLA is actually installed in the system.
is this also true for the obs versions?
how can i check if the ola plugin is included?

User avatar
mcallegari
Posts: 1935
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Post by mcallegari » Sun Dec 04, 2016 12:19 am

Actually the OLA plugin is not present in the OBS xubuntu packages.
However, it is in the official packages

User avatar
slight
Posts: 5
Joined: Sun Nov 20, 2016 11:08 pm
Location: Germany, Nuernberg
Real Name: Stefan Krüger
Contact:

Re: QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Post by slight » Tue Dec 06, 2016 6:55 pm

hi mcallegari,
thanks for clarifying this.

i deinstalled the obs version

Code: Select all

sudo apt-get remove qlcplus-qt5
and installed from the deb

Code: Select all

sudo dpkg -i qlcplus_4.10.4_amd64.deb
then if i run

Code: Select all

stefan@stefan-latitude:~$ qlcplus

Q Light Controller Plus version 4.10.4
This program is licensed under the terms of the Apache 2.0 license.
Copyright (c) Heikki Junnila (hjunnila@users.sf.net)
Copyright (c) Massimo Callegari (massimocallegari@yahoo.it)

qlcplus: symbol lookup error: /usr/lib/x86_64-linux-gnu/qt4/plugins/qlcplus/libolaio.so: undefined symbol: _ZN3ola10StringTrimEPSs
stefan@stefan-latitude:~$
there is a error and it will not start.

i have looked at the commandline options but there seems to be no 'verbose logging' or something similar..
how can i debug this?

User avatar
mcallegari
Posts: 1935
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Post by mcallegari » Tue Dec 06, 2016 7:14 pm

which OLA version ?
That's clearly a binary incompatibility issue

User avatar
slight
Posts: 5
Joined: Sun Nov 20, 2016 11:08 pm
Location: Germany, Nuernberg
Real Name: Stefan Krüger
Contact:

Re: QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Post by slight » Tue Dec 06, 2016 7:18 pm

it is self compiled form git (last update about 2016-11-02)
stefan@stefan-latitude:~$ olad -v
OLA olad version: 0.10.2

iam on a Kubuntu 16.04 64bit system.

DJefke
Posts: 1
Joined: Tue Dec 27, 2016 12:36 pm
Real Name: Christophe Van Reeth

Re: QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Post by DJefke » Tue Dec 27, 2016 12:43 pm

I encounter the same issue with the latest QLC+ version.

Code: Select all

djefke@homer:~$ qlcplus

Q Light Controller Plus version 4.10.5b
This program is licensed under the terms of the Apache 2.0 license.
Copyright (c) Heikki Junnila (hjunnila@users.sf.net)
Copyright (c) Massimo Callegari (massimocallegari@yahoo.it)

*** Error in `qlcplus': malloc(): memory corruption: 0x00000000021bfdf0 ***
Aborted
djefke@homer:~$ 
OLA version: 0.9.1-1.1 (package from official Debian repository)
OS version: Debian Jessie 64bit
QLC+ is the .deb package from the QLC+ download page.


It's not really a big issue for me at this moment. But I just wanted to report it :)

User avatar
mcallegari
Posts: 1935
Joined: Sun Apr 12, 2015 9:09 am
Location: Italy
Real Name: Massimo Callegari
Contact:

Re: QLC+ 4.10.4 - openSUSE Build Service - no ola plugin?

Post by mcallegari » Tue Dec 27, 2016 2:11 pm

Again, that's most likely a binary incompatibility.
I have no idea why Jessie has been kept back to OLA 0.9.1, but that's a pretty outdated version and I normally build with OLA 0.10.x

Have a go with the OBS versions here: http://software.opensuse.org/download.h ... ackage=ola
Or download each OLA package starting from here: http://download.opensuse.org/repositori ... llegari79/

Post Reply